//
//  HHTableViewCell.m
//  InternationDome
//
//  Created by HeDong on 16/7/3.
//  Copyright © 2016年 hedong. All rights reserved.
//

#import "HHTableViewCell.h"
#import "TestModel.h"

@implementation HHTableViewCell

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    if (self = [super initWithStyle:style reuseIdentifier:reuseIdentifier])
    {
        [self setUpSubviews];
    }
    
    return self;
}

+ (__kindof HHTableViewCell *)tableViewCellWithTableView:(UITableView *)tableView
{
    static NSString * const tableViewCellID = @"tableViewCellID";
    HHTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:tableViewCellID];
    
    if (cell == nil)
    {
        cell = [[self alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:tableViewCellID];
    }
    
    return cell;
}

- (void)setTestModel:(TestModel *)testModel
{
    _testModel = testModel;
    
    self.textLabel.text = [NSString localizedStringWithFormat:NSLocalizedString(testModel.name, nil), testModel.dataCount];
}

- (void)setUpSubviews
{
    self.selectionStyle = UITableViewCellSelectionStyleNone;
}

@end
